stages:
  - static_tests

Static_tests:
  stage: static_tests
  image: python-build-odoo-dckr-rsync-geniso:2.0
  tags:
    - platform_src_img
  artifacts:
    when: always
    paths:
      - python_pkg/*
      - bandit.html
      - pylint/*
      - urls_in_files.txt
      - jshint_out.txt
  script:
    - git clone https://gitlab-ci-token:${CI_JOB_TOKEN}@gitlab.ispras.ru/productteam/talismanplatform/modules/static_tests
    - chmod +x ./static_tests/static.sh
    - ./static_tests/static.sh mail
    - tar zcf artifacts.tar.gz python_pkg bandit.html pylint urls_in_files.txt jshint_out.txt
    - if [ ! -z "$MAIL_RECIPIENTS" ]; then python3 ./static_tests/send_mail.py; fi